<?php

namespace HelpGent\App\DTO;

defined( 'ABSPATH' ) || exit;

use HelpGent\WpMVC\DTO\DTO;

class ReviewDTO extends DTO {
    private int $id;

    private int $answer_id;

    private bool $liked = false;

    private string $comment = '';

    /**
     * Get the value of id
     *
     * @return int
     */
    public function get_id(): int {
        return $this->id;
    }

    /**
     * Set the value of id
     *
     * @param int $id
     * @return self
     */
    public function set_id( int $id ): self {
        $this->id = $id;

        return $this;
    }

    /**
     * Get the value of answer_id
     *
     * @return int
     */
    public function get_answer_id(): int {
        return $this->answer_id;
    }

    /**
     * Set the value of answer_id
     *
     * @param int $answer_id
     * @return self
     */
    public function set_answer_id( int $answer_id ): self {
        $this->answer_id = $answer_id;

        return $this;
    }

    /**
     * Get the value of liked
     *
     * @return bool
     */
    public function is_liked(): bool {
        return $this->liked;
    }
    
    /**
     * Set the value of liked
     *
     * @param bool $liked
     * @return self
     */
    public function set_liked( bool $liked ): self {
        $this->liked = $liked;
    
        return $this;
    }

    /**
     * Get the value of comment
     *
     * @return string
     */
    public function get_comment(): string {
        return $this->comment;
    }
    
    /**
     * Set the value of comment
     *
     * @param string $comment
     * @return self
     */
    public function set_comment( string $comment ): self {
        $this->comment = $comment;
    
        return $this;
    }
}